## visad
Interface ControlListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  DisplayMonitor, RemoteDisplayMonitor

All Known Implementing Classes:
  AnimationWidget, BaseRGBMap, CollectiveBarbManipulation.AnimationControlListener, ColorMapWidget, ContourWidget, DiscoverableZoom, DisplayMonitorImpl, DisplayRenderer, FlexibleTrackManipulation.AnimationControlListener, FlexibleTrackManipulation.ProjectionControlListener, FlowControl.ProjectionControlListener, FrontDrawer, FrontDrawer.ProjectionControlListener, GMCWidget, ProjectionControlListener, Rain, RemoteDisplayMonitorImpl, SelectRangeWidget, ShapeControl.ProjectionControlListener, TextControl.ProjectionControlListener, TrackWidget, VisADSlider

public interface ControlListener
extends EventListener

ControlListener is the EventListener interface for ControlEvents.

Method Summary
`void` `controlChanged(ControlEvent e)` send a ControlEvent to this ControlListener

Method Detail

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  send a ControlEvent to this ControlListener

  Throws:
    `VisADException`
    `RemoteException`